Package jnr.constants.platform.openbsd

# Enum IPProto

java.lang.Object
java.lang.Enum<IPProto>
jnr.constants.platform.openbsd.IPProto

All Implemented Interfaces:
  `Serializable`, `Comparable<IPProto>`, `java.lang.constant.Constable`, `Constant`

public enum IPProto extends Enum<IPProto> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IPPROTO_AH`
`IPPROTO_DSTOPTS`
`IPPROTO_EGP`
`IPPROTO_ENCAP`
`IPPROTO_ESP`
`IPPROTO_FRAGMENT`
`IPPROTO_GRE`
`IPPROTO_HOPOPTS`
`IPPROTO_ICMP`
`IPPROTO_ICMPV6`
`IPPROTO_IDP`
`IPPROTO_IGMP`
`IPPROTO_IP`
`IPPROTO_IPIP`
`IPPROTO_IPV6`
`IPPROTO_MAX`
`IPPROTO_NONE`
`IPPROTO_PIM`
`IPPROTO_PUP`
`IPPROTO_RAW`
`IPPROTO_ROUTING`
`IPPROTO_RSVP`
`IPPROTO_TCP`
`IPPROTO_TP`
`IPPROTO_UDP`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static IPProto`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IPProto[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### IPPROTO_IP

public static final IPProto IPPROTO_IP

### IPPROTO_HOPOPTS

public static final IPProto IPPROTO_HOPOPTS

### IPPROTO_ICMP

public static final IPProto IPPROTO_ICMP

### IPPROTO_IGMP

public static final IPProto IPPROTO_IGMP

### IPPROTO_IPIP

public static final IPProto IPPROTO_IPIP

### IPPROTO_TCP

public static final IPProto IPPROTO_TCP

### IPPROTO_EGP

public static final IPProto IPPROTO_EGP

### IPPROTO_PUP

public static final IPProto IPPROTO_PUP

### IPPROTO_UDP

public static final IPProto IPPROTO_UDP

### IPPROTO_IDP

public static final IPProto IPPROTO_IDP

### IPPROTO_TP

public static final IPProto IPPROTO_TP

### IPPROTO_IPV6

public static final IPProto IPPROTO_IPV6

### IPPROTO_ROUTING

public static final IPProto IPPROTO_ROUTING

### IPPROTO_FRAGMENT

public static final IPProto IPPROTO_FRAGMENT

### IPPROTO_RSVP

public static final IPProto IPPROTO_RSVP

### IPPROTO_GRE

public static final IPProto IPPROTO_GRE

### IPPROTO_ESP

public static final IPProto IPPROTO_ESP

### IPPROTO_AH

public static final IPProto IPPROTO_AH

### IPPROTO_ICMPV6

public static final IPProto IPPROTO_ICMPV6

### IPPROTO_NONE

public static final IPProto IPPROTO_NONE

### IPPROTO_DSTOPTS

public static final IPProto IPPROTO_DSTOPTS

### IPPROTO_ENCAP

public static final IPProto IPPROTO_ENCAP

### IPPROTO_PIM

public static final IPProto IPPROTO_PIM

### IPPROTO_RAW

public static final IPProto IPPROTO_RAW

### IPPROTO_MAX

public static final IPProto IPPROTO_MAX

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static IPProto[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IPProto valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<IPProto>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`